<?php

// Página
$direct = 'pergunta';

// Checa se o usuário possui acesso na página
Util::verificaAcesso('cms-' . $direct, 'editar', '?i=cms-' . $direct);

$obj = Pergunta::buscar(@$_GET['id']);

if (!$obj) {
    Message::error('Registro não encontrado.');
    Util::redirect(Util::baseUrl() . 'cms/?i=cms-' . $direct);
}

// Mensagem de Retorno
require_once $GLOBALS['baseDir'] . 'includes/mensagens.php';

// Modal excluir registro
require_once $GLOBALS['baseDir'] . 'includes/modal/excluir-registro.php';

echo Form::open($GLOBALS['baseUrl'] . '?i=cms-' . $direct . '-processo&t=editar', array('name' => 'form', 'id' => 'form', 'class' => 'form bg clearfix'));

    echo Form::hidden('id', $obj->id);

    echo '<div class="wrapper">';
        echo '<div class="col-md-2">';
            echo '<p>Pergunta: *</p>';
            echo Form::text('', 'pergunta', $obj->pergunta, 255, array('class' => 'dois'));
        echo '</div>';

        echo '<div class="col-md-2">';
            echo '<p>Categoria: </p>';
            $catSelect =  ($obj->categoria )  ? $obj->categoria->id : '' ;
            echo Form::select('', 'categoria', Categoria::arraySelect(), $catSelect, array('class' => 'dois select hide-search'));
        echo '</div>';
    echo '</div>';
    echo '<h4 style="border-bottom: 1px solid #8d959e; color: #8d959e; padding-top: 10px">Respostas</h4>';
    echo '<div class="wrapper">';
        echo '<div class="col-md-2">';
            echo '<p>Resposta 1: *</p>';
            echo Form::text('', 'resposta_1', $obj->resposta_1, 255, array('class' => 'dois'));
        echo '</div>';
        echo '<div class="col-md-2">';
            echo '<p>Roteiro 1: *</p>';
            echo Form::select('', 'peso_1', Qrcode::arraySelect(), $obj->peso_1, array('class' => 'dois select hide-search'));
        echo '</div>';
    echo '</div>';
    echo '<div class="wrapper">';
        echo '<div class="col-md-2">';
            echo '<p>Resposta 2: *</p>';
            echo Form::text('', 'resposta_2', $obj->resposta_2, 255, array('class' => 'dois'));
        echo '</div>';
        echo '<div class="col-md-2">';
            echo '<p>Roteiro 2: *</p>';
            echo Form::select('', 'peso_2', Qrcode::arraySelect(), $obj->peso_2, array('class' => 'dois select hide-search'));
        echo '</div>';
    echo '</div>';
    echo '<div class="wrapper">';
        echo '<div class="col-md-2">';
            echo '<p>Resposta 3: *</p>';
            echo Form::text('', 'resposta_3', $obj->resposta_3, 255, array('class' => 'dois'));
        echo '</div>';
        echo '<div class="col-md-2">';
            echo '<p>Roteiro 3: *</p>';
            echo Form::select('', 'peso_3', Qrcode::arraySelect(), $obj->peso_3, array('class' => 'dois select hide-search'));
        echo '</div>';
    echo '</div>'; 
 

    echo Form::button('Salvar', array('class' => 'salvar'));
    echo Form::button('Voltar', array('class' => 'voltar', 'onclick' => "window.location='?i=cms-$direct';"));

echo Form::close();
?>

<script>
$('#busca').css('display', 'none');

$(".salvar").click(function() {
    var validacao = validaCampos('pergunta');

    if (validacao == true) {
        $(this).html('Enviando..');
        $(this).prop('disabled', true);
        $("#form").submit();
    }
});
</script>
